/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 按设计统计数据中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:14:34  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "按设计统计数据中间表")
public class MidCaseDesign implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_total = "total";
  public static final String KEY_completed = "completed";
  public static final String KEY_designing = "designing";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Date createdTime;
  /**
   * 总数<br>
   */
  @ApiModelProperty("总数")
  private Integer total;
  /**
   * 已完成<br>
   */
  @ApiModelProperty("已完成")
  private Integer completed;
  /**
   * 设计中<br>
   */
  @ApiModelProperty("设计中")
  private Integer designing;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * <br>
   *
   * @param createdTime 
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 总数<br>
   */
  public Integer getTotal()
  {
      return total;
    }

  /**
   * 总数<br>
   *
   * @param total 总数
   */
  public void setTotal(Integer total)
  {
      this.total = total;
    }
  /**
   * 已完成<br>
   */
  public Integer getCompleted()
  {
      return completed;
    }

  /**
   * 已完成<br>
   *
   * @param completed 已完成
   */
  public void setCompleted(Integer completed)
  {
      this.completed = completed;
    }
  /**
   * 设计中<br>
   */
  public Integer getDesigning()
  {
      return designing;
    }

  /**
   * 设计中<br>
   *
   * @param designing 设计中
   */
  public void setDesigning(Integer designing)
  {
      this.designing = designing;
    }

  public MidCaseDesign()
  {
  }

}
